Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.data.engine.api.querydefn
Class JointDataSetDesign

    java.lang.Object
      org.eclipse.birt.data.engine.api.querydefn.BaseDataSetDesign
          org.eclipse.birt.data.engine.api.querydefn.JointDataSetDesign

All Implemented Interfaces:
  IBaseDataSetDesign, IJointDataSetDesign

    public class JointDataSetDesign

extends BaseDataSetDesign
implements IJointDataSetDesign

This is an implementation of IJointDataSetDesign

Field Summary

Fields inherited from interface org.eclipse.birt.data.engine.api.IJointDataSetDesign
`FULL_OUTER_JOIN, INNER_JOIN, LEFT_OUTER_JOIN, RIGHT_OUTER_JOIN`

Constructor Summary
`JointDataSetDesign(java.lang.String dataSetName)` Constructor
`JointDataSetDesign(java.lang.String name, java.lang.String left, java.lang.String right, int joinType, java.util.List joinConditions)` Constructor.

Method Summary
`void` | `addJoinCondition(JoinCondition jc)` add Join Condition
`java.util.List` | `getJoinConditions()` This method returns the Joint conditions.
`int` | `getJoinType()` This method returns the Joint Type.
`java.lang.String` | `getLeftDataSetDesignName()` This method returns the name of data set which servers as left operand of a joint.
`java.lang.String` | `getRightDataSetDesignName()` This method returns the name of data set which servers as right operand of a joint.
`void` | `setJoinType(int joinType)`
`void` | `setLeftDataSetDesignName(java.lang.String dataSetName)`
`void` | `setRightDataSetDesignName(java.lang.String dataSetName)`

Methods inherited from class org.eclipse.birt.data.engine.api.querydefn.BaseDataSetDesign
`addComputedColumn, addFilter, addInputParamBinding, addParameter, addResultSetHint, getAfterCloseScript, getAfterOpenScript, getBeforeCloseScript, getBeforeOpenScript, getCacheRowCount, getComputedColumns, getDataSourceName, getEventHandler, getFilters, getInputParamBindings, getName, getOnFetchScript, getParameters, getResultSetHints, getRowFetchLimit, needDistinctValue, setAfterCloseScript, setAfterOpenScript, setBeforeCloseScript, setBeforeOpenScript, setCacheRowCount, setDataSource, setDistinctValue, setEventHandler, setOnFetchScript, setRowFetchLimit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.birt.data.engine.api.IBaseDataSetDesign
`getAfterCloseScript, getAfterOpenScript, getBeforeCloseScript, getBeforeOpenScript, getCacheRowCount, getComputedColumns, getDataSourceName, getEventHandler, getFilters, getInputParamBindings, getName, getOnFetchScript, getParameters, getResultSetHints, getRowFetchLimit, needDistinctValue, setRowFetchLimit`

Constructor Detail

### JointDataSetDesign

    public JointDataSetDesign(java.lang.String dataSetName)

  Constructor

### JointDataSetDesign

    public JointDataSetDesign(java.lang.String name,
                              java.lang.String left,
                              java.lang.String right,
                              int joinType,
                              java.util.List joinConditions)
                       throws org.eclipse.birt.data.engine.core.DataException

  Constructor.

  Throws:
    `org.eclipse.birt.data.engine.core.DataException`

Method Detail

### getLeftDataSetDesignName

    public java.lang.String getLeftDataSetDesignName()

  Description copied from interface: `IJointDataSetDesign`
  This method returns the name of data set which servers as left operand of a joint.

  Specified by:
    `getLeftDataSetDesignName` in interface `IJointDataSetDesign`
  Returns:
    name of data set that servers as first oprand

### setLeftDataSetDesignName

    public void setLeftDataSetDesignName(java.lang.String dataSetName)

### getRightDataSetDesignName

    public java.lang.String getRightDataSetDesignName()

  Description copied from interface: `IJointDataSetDesign`
  This method returns the name of data set which servers as right operand of a joint.

  Specified by:
    `getRightDataSetDesignName` in interface `IJointDataSetDesign`
  Returns:
    name of data set that servers as second oprand

### setRightDataSetDesignName

    public void setRightDataSetDesignName(java.lang.String dataSetName)

### getJoinType

    public int getJoinType()

  Description copied from interface: `IJointDataSetDesign`
  This method returns the Joint Type.

  Specified by:
    `getJoinType` in interface `IJointDataSetDesign`
  Returns:
    the integer stands for a joint type.

### setJoinType

    public void setJoinType(int joinType)

  Parameters:
    `joinType` -

### getJoinConditions

    public java.util.List getJoinConditions()

  Description copied from interface: `IJointDataSetDesign`
  This method returns the Joint conditions. Only rows which can make these IJointConditionalExpression instance evaluate to true will be jointed.

  Specified by:
    `getJoinConditions` in interface `IJointDataSetDesign`
  Returns:
    the list contains joint conditions. All the elements in the list is IJointConditionalExpression.

### addJoinCondition

    public void addJoinCondition(JoinCondition jc)

  add Join Condition

  Parameters:
    `jc` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.